Bug 18878 - [855gm GEM]incorrect rendering when run mesa demo/gearbox with tiling on
[855gm GEM]incorrect rendering when run mesa demo/gearbox with tiling on
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915
unspecified
x86 (IA32) Linux (All)
: medium normal
Assigned To: Eric Anholt
: NEEDINFO
Depends on:
Blocks: 18841 intel-3d-release
  Show dependency treegraph
 
Reported: 2008-12-03 18:45 UTC by liuhaien
Modified: 2009-11-05 05:49 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (38.79 KB, text/plain)
2008-12-03 18:45 UTC, liuhaien
Details
xorg conf file (3.76 KB, text/plain)
2008-12-03 18:45 UTC, liuhaien
Details
screenshot of gearbox (528.42 KB, image/png)
2008-12-03 18:46 UTC, liuhaien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2008-12-03 18:45:06 UTC
Created attachment 20787 [details]
xorg.0.log

System Environment:
--------------------------

Host:           x-855gm
Arch:           i386
OSD:            Fedora Core release 6 (Zod)
GEM_kernel:       (for-airlied)728ced8c47f99a2287cdd0d3e77f5ae1a3d410e6
Libdrm:         (master)b0d93c74d884b40bd94469a5ef75fdb2fef17680
Mesa:           (master)154a9e5317f890618932cea0129ef887e16baf84
Xorg:           7.2
Xserver_stable:        
(server-1.6-branch)b268458eab2f213ec14dfe8013aa714c187e3aab
Xf86_video_intel:              
(master)07f5a8223187c1abc79c104d2fa5859a54cecd

Bug detailed description:
-------------------------
startx ,run mesa demo/gearbox , we will get a incorrect display, see the screenshot in the attachment.
Comment 1 liuhaien 2008-12-03 18:45:30 UTC
Created attachment 20788 [details]
xorg conf file
Comment 2 liuhaien 2008-12-03 18:46:32 UTC
Created attachment 20792 [details]
screenshot of gearbox
Comment 3 liuhaien 2008-12-09 01:25:45 UTC
it can work well if set tiling off.
Comment 4 liuhaien 2009-03-22 20:39:51 UTC
still exists against:
Libdrm:         (master)00d8e960ca665b7f0528438331f4d0ae77fbb4cc
Mesa:(mesa_7_4_branch)b009a32bf428192fef2dc4787d25f022a472854f          
Xserver:        (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:       (2.7)e2465249a90b9aefe6d7a96eb56a51fde54698a0
Kernel:       (for-airlied)a2e785c32b886dd7f0289d1cf15fc14e9c81bc01
Comment 5 Gordon Jin 2009-07-02 00:01:48 UTC
Haien, this still exist in Q2, right?
Comment 6 liuhaien 2009-07-02 01:43:51 UTC
(In reply to comment #5)
> Haien, this still exist in Q2, right?
> 

yes, I just test it with the latest driver.it is still broken.
Libdrm:		(master)de1ed01214874dcdd6116ff2587c8710d6ed4d2d
Mesa:		(master)5e6b593d35156a0068dc0eb3e55dec086f1cadd3
Xserver:		(master)3525d140567e0ad5f0184e4b37893c47239e1628
Xf86_video_intel:		(master)1e4784bf26e3c154f5673f7b5add3ef7af3b1474
Kernel:       (drm-intel-next)b5aa8a0fc132dd512c33e7c2621d075e3b77a65e
 
and also broken with stable branch:
Libdrm:		(master)de1ed01214874dcdd6116ff2587c8710d6ed4d2d
Mesa:		(mesa_7_5_branch)c72261f2a886e1f53025c2cf4b38b33ccfd62857
Xserver:	(server-1.6-branch)a7a93c12f91e0de72868f17a555215f1795d9e2f
Xf86_video_intel:		(master)1e4784bf26e3c154f5673f7b5add3ef7af3b1474
Kernel:       (qa-branch)07a2039b8eb0af4ff464efd3dfd95de5c02648c6
Comment 7 Eric Anholt 2009-10-30 17:40:15 UTC
Could you retest with Mesa master as of:

commit 7c8bed62e0165a0be3363f7abf81bf9e30341e00
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Oct 30 15:33:11 2009 -0700

    intel: Use GTT mapping when available for swrast.
    
    This improves piglit quick.tests runtime from 19:33 minutes to 6:06 on
    my GM45.  It should also hide most of the A17 swizzling issues, though
    they'll still exist when swapping occurs (which is the kernel's problem
    either way)
Comment 8 fangxun 2009-11-05 05:49:33 UTC
Verified with this commit. It also works fine with commit before it.